import java.awt.*;
import java.awt.event.*;
import javax.swing.JFrame;

public class FenetreDeDessin
        extends JFrame
        implements MouseListener, MouseMotionListener, KeyListener
{
    private int xd;
    private int yd;
    private Color couleur;
    private BasicStroke pinceau;
    public FenetreDeDessin() {
        setTitle("Une premi\350re fen\352tre pour dessiner \340 main dev\351e");
        setSize(600, 500);
        setLocationRelativeTo(null);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        addMouseListener(this);
        addMouseMotionListener(this);
        addKeyListener(this);
        pinceau = new BasicStroke(1, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND);
        setVisible(true);
    }
    public void mouseEntered(MouseEvent mouseevent) { }
    public void mousePressed(MouseEvent e) {
        xd = e.getX();
        yd = e.getY();
    }
    public void mouseReleased(MouseEvent mouseevent) { }
    public void mouseClicked(MouseEvent mouseevent) { }
    public void mouseExited(MouseEvent mouseevent) { }
    public void mouseMoved(MouseEvent mouseevent) { }
    public void mouseDragged(MouseEvent e) {
        Graphics g = getGraphics();
        ((Graphics2D)g).setStroke(pinceau);
        g.setColor(couleur);
        g.drawLine(xd, yd, e.getX(), e.getY());
        xd = e.getX();
        yd = e.getY();
    }
    public void keyPressed(KeyEvent keyevent) { }
    public void keyReleased(KeyEvent keyevent) { }
    public void keyTyped(KeyEvent e) {
        char c = e.getKeyChar();
        if (Character.isDigit(c) && c != '0') {
            pinceau = new BasicStroke(Character.digit(c,10), BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND);
        } else {
            switch (Character.toUpperCase(c)) {
                case 'R' : couleur = Color.red;    break;
                case 'V' : couleur = Color.green;  break;
                case 'B' : couleur = Color.blue;   break;
                case 'J' : couleur = Color.yellow; break;
                case 'N' : couleur = Color.black;  break;
            }
        }
    }
}
